Support » Plugin: Popups for Divi » Getting error

  • Resolved amunir

    (@amunir)


    getting the following error :

    Uncaught TypeError: Failed to execute ‘observe’ on ‘MutationObserver’: parameter 1 is not of type ‘Node’.
    at r (front.js?ver=1.2.3:1)

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Philipp Stracker

    (@strackerphil-1)

    Hi @amunir

    Thank you for taking the time to post this bug report! I will have a look at the issue. I could reproduce the error on your website and had a quick look at the HTML code:

    You use the “Ternio Switch” child theme which does not add the HTML ID “page-container” to the main div on the website. This is actually a limitation of the Popups for Divi plugin that I never considered. I’ll try to get an update ready to handle this case.

    It might take a week or two until I can make the changes and submit the update. For now, you could try to add the attribute id="page-container" to the first <div> element after the <body> tag, like this:

    2019-03-17_23-03-47.png

    Thanks, Philipp

    amunir

    (@amunir)

    Hi Philipp,

    Thank you so much for looking into this. I will try your guide but if you can add that update that would be awesome.

    Looking forward.

    Thanks

    Plugin Author Philipp Stracker

    (@strackerphil-1)

    @amunir I have great news: I could fix the issue and am preparing a plugin update which possibly will be ready by the weekend.

    Your popups will work in version 1.3.0 🙂

    Philipp

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.